<?php

declare( strict_types=1 );

namespace FacetWPCarousel\Carousel;

use function FWP;

class Rest {

	public function __construct() {
		add_action( 'rest_api_init', [ $this, 'register' ] );
	}

	public function register(): void {
		register_rest_route(
			'facetwp-carousel/v1',
			'/templates',
			[
				'methods' => 'GET',
				'callback' => [ $this, 'get_templates' ],
				'permission_callback' => fn() => current_user_can( 'edit_posts' ),
			]
		);
	}

	public function get_templates(): array {
		return array_map(
			fn( $template ) => [
				'name' => $template['name'],
				'label' => $template['label'],
			],
			FWP()->helper->get_templates()
		);
	}
}
