import jQuery from 'jquery';
// noinspection ES6UnusedImports
import slick from 'slick-carousel';
import './frontend.css';
import 'slick-carousel/slick/slick.scss';

jQuery( document ).ready( ( $ ) => {
	$( '.facetwp-carousel' ).each( ( idx, el ) => {
		const desktopSlides = parseInt( el.dataset.slidesDesktop ?? '4' );
		const tabletSlides = parseInt( el.dataset.slidesTablet ?? '3' );
		const mobileSlides = parseInt( el.dataset.slidesMobile ?? '2' );
		const showArrows = !!el.dataset.showArrows;
		const showDots = !!el.dataset.showDots;
		const $el = $( el );
		$el.find( ' .fwpl-layout' ).slick( {
			slidesToShow: 1,
			slidesToScroll: 1,
			infinite: true,
			mobileFirst: true,
			arrows: showArrows,
			dots: showDots,
			prevArrow: $el.find( '.slick-prev' ),
			nextArrow: $el.find( '.slick-next' ),
			responsive: [
				{
					breakpoint: 1366,
					settings: {
						slidesToShow: desktopSlides,
						slidesToScroll: desktopSlides,
					},
				},
				{
					breakpoint: 1024,
					settings: {
						slidesToShow: tabletSlides,
						slidesToScroll: tabletSlides,
					},
				},
				{
					breakpoint: 600,
					settings: {
						slidesToShow: mobileSlides,
						slidesToScroll: mobileSlides,
					},
				},
			],
		} );
	} );
} );
